"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addDependencies = addDependencies;
const devkit_1 = require("@nx/devkit");
const versions_1 = require("../../../utils/versions");
function addDependencies(host) {
    return (0, devkit_1.addDependenciesToPackageJson)(host, {
        '@ionic/react': versions_1.ionicReactVersion,
        '@ionic/react-router': versions_1.ionicReactRouterVersion,
        ionicons: versions_1.ionIconsVersion,
        '@capacitor/haptics': versions_1.capacitorPluginsVersion,
        '@capacitor/keyboard': versions_1.capacitorPluginsVersion,
        '@capacitor/status-bar': versions_1.capacitorPluginsVersion,
        /**
         * Following deps are overwrite because React Router v6 is not compatible with Ionic React Router
         */
        'react-router': versions_1.reactRouterVersion,
        'react-router-dom': versions_1.reactRouterVersion,
    }, {
        '@types/react-router': versions_1.reactRouterTypesVersion,
        '@types/react-router-dom': versions_1.reactRouterDomTypesVersion,
    });
}
//# sourceMappingURL=add-dependencies.js.map